Skip to main content
GET
List policy activity

Authorizations

Authorization
string
header
required

Bearer token: an organization API key (ak_…) created under Settings → API Keys, or a dashboard user session token. Agent keys (xe_…) are not accepted here. Endpoints marked as user-only in their description reject organization keys with 403.

Path Parameters

policy_id
string<uuid>
required

Query Parameters

limit
integer
default:50
Required range: 1 <= x <= 200

Response

Successful Response

id
string<uuid>
required
created_at
string<date-time>
required
org_id
string<uuid>
required
user_id
string | null
required
event_id
string | null
required
event_version
string | null
required
action
string
required
result
string | null
required
source_service
string | null
required
request_id
string | null
required
environment
string | null
required
resource_type
string
required
resource_id
string
required
recorded_at
string<date-time> | null
source_ip
string | null
client_ip
string | null
user_agent
string | null
reason
string | null
metadata
Metadata · object | null
actor_type
string | null
actor_id
string | null
chain_seq
integer | null
prev_hash
string | null
row_hash
string | null